Package com.complexible.common.rdf.query.resultio

# Class TextPathQueryResultWriter

java.lang.Object
com.complexible.common.rdf.query.resultio.AbstractDataExporterQueryResultWriter
com.complexible.common.rdf.query.resultio.TextTableQueryResultWriter
com.complexible.common.rdf.query.resultio.TextPathQueryResultWriter

All Implemented Interfaces:
  `PathQueryResultWriter`, `QueryResultWriter<BindingSet>`, `SelectQueryResultWriter`, `QueryResultHandler<BindingSet>`, `SelectQueryResultHandler`

public class TextPathQueryResultWriter extends TextTableQueryResultWriter implements PathQueryResultWriter
Renders path query results in a concise text syntax: `(node1)-[var1=value1, var2=value2]->(node2)`.

Since:
  5.0.4
Version:
  6.0
Author:
  Evren Sirin

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.complexible.common.rdf.query.resultio.TextTableQueryResultWriter

  `TextTableQueryResultWriter.TextTableQueryResultWriterFactory`

- ## Field Summary

  ### Fields inherited from class com.complexible.common.rdf.query.resultio.TextTableQueryResultWriter

  `FORMAT`

  ### Fields inherited from class com.complexible.common.rdf.query.resultio.AbstractDataExporterQueryResultWriter

  `mColCount, mColumns, mExporter, mResult`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextPathQueryResultWriter(OutputStream theOut, String theStartVar, String theEndVar)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `end()`
  Signal that query processing has completed
  `void`
  `handlePath(Path thePath)`

  ### Methods inherited from class com.complexible.common.rdf.query.resultio.TextTableQueryResultWriter

  `createExporter, getStartTime, isShowSummary, setShowSummary, setStartTime`

  ### Methods inherited from class com.complexible.common.rdf.query.resultio.AbstractDataExporterQueryResultWriter

  `addNamespaces, format, handle, links, namespace, start, variables`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.complexible.common.rdf.query.resultio.PathQueryResultWriter

  `handle`

  ### Methods inherited from interface com.stardog.stark.query.io.QueryResultWriter

  `format, links, namespace, start`

  ### Methods inherited from interface com.stardog.stark.query.SelectQueryResultHandler

  `variables`

- ## Constructor Details

  - ### TextPathQueryResultWriter

    public TextPathQueryResultWriter(OutputStream theOut, String theStartVar, String theEndVar)

- ## Method Details

  - ### handlePath

    public void handlePath(Path thePath)
    Specified by:
      `handlePath` in interface `PathQueryResultWriter`

  - ### end

    public void end()
    Description copied from class: `TextTableQueryResultWriter`
    Signal that query processing has completed
    Specified by:
      `end` in interface `QueryResultHandler<BindingSet>`
    Specified by:
      `end` in interface `QueryResultWriter<BindingSet>`
    Overrides:
      `end` in class `TextTableQueryResultWriter`